'use strict';
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

//
class ImportController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.import;
  }
  async examinee() {
    const data = await this.service.updateExaminee(this.ctx.request.body);
    this.ctx.ok(data);
  }
  async staff() {
    const data = await this.service.staffBase(this.ctx.request.body);
    this.ctx.ok({ data });
  }

  async securityGuard() {
    const data = await this.service.securityGuard(this.ctx.request.body);
    this.ctx.ok(data);
  }
  async guardWork() {
    const data = await this.service.guardWork(this.ctx.request.body);
    this.ctx.ok(data);
  }
}
module.exports = CrudController(ImportController, {});
