'use strict';
const _ = require('lodash');
module.exports = options => {
  return async function killcolumns(ctx, next) {
    await next();
    const url = ctx.request.url;
    if (!url.includes('opera_logs')) {
      let responseData = _.get(ctx.body, 'data');
      if (responseData) {
        responseData = JSON.parse(JSON.stringify(responseData));
        if (_.isArray(responseData)) {
          for (const i of responseData) {
            delete i.ROW_ID;
            delete i.create_time;
            delete i.update_time;
            delete i.password;
          }
        } else if (_.isObject(responseData)) {
          delete responseData.ROW_ID;
          delete responseData.create_time;
          delete responseData.update_time;
          delete responseData.password;
        }
        ctx.body.data = responseData;
      }
    }

  };
};
