'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.post('/util', controller.home.util);
  require('./z_router/usual')(app); // 通常接口
  require('./z_router/login')(app); // 登陆
  require('./z_router/wx')(app); // 微信
  require('./z_router/import')(app); // 导入
};
