'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/';
  const target = 'wx';
  router.put(target, `${profix}${target}/userMapping`, controller[target].userMapping); // 匹配openid
  router.put(target, `${profix}${target}/updateCache`, controller[target].updateCache); // 列表查询
  router.get(target, `${profix}${target}`, controller[target].index); // 列表查询
  router.get(target, `${profix}${target}/openid`, controller[target].getOpenid); // 列表查询
  router.post(target, `${profix}${target}/sendTemplate`, controller[target].sendTemplate); // 模板消息
};
