'use strict';
/**
 * 数据库往外出的处理, 由 库 向 前端
 * 此js内容,主要是为了 查询 而使用,将 某表 指定 键名 的值 转换成固定格式
 * 目前是为了日期的查询结果转换,还可以规定别的就是了.
 * key:表名,value:处理函数.这里写.原因:估计数量不会多,所以放这里
 * 对应的处理统一全用函数传参的形式处理,都在函数中处理返回.外面统一全当做函数调用
 */
const _ = require('lodash');
const moment = require('moment');
// 处理数据库日期,大部分都这么处理,
// 还有什么特殊处理,就在这里写.如果太多或不利于阅读,分类抽出去
module.exports = {
  security_guard_base: obj => {
    const dup = _.cloneDeep(obj);
    delete dup.password;
    return dup;
  },
  company_base: obj => {
    const dup = _.cloneDeep(obj);
    delete dup.password;
    // 处理前端需要的提交时间,使用修改时间
    if (dup.update_time)dup.submit_date = dup.update_time ? moment(dup.update_time).format('YYYY-MM-DD') : moment(dup.create_time).format('YYYY-MM-DD');
    return dup;
  },
  system_account: obj => {
    const dup = _.cloneDeep(obj);
    delete dup.password;
    return dup;
  },
};
