'use strict';
const Subscription = require('egg').Subscription;

class WxCache extends Subscription {
  static get schedule() {
    return {
      cron: '0 0 * * * *',
      type: 'worker', // 指定所有的 worker 都需要执行
    };
  }

  // subscribe 是真正定时任务执行时被运行的函数
  async subscribe() {
    this.ctx.service.wx.updateCache();
  }
}

module.exports = WxCache;
